Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
How do I find a dependency's dependency?
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Portage & Programming
View previous topic :: View next topic  
Author Message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 6271
Location: /usr/lib64/lv2

PostPosted: Thu Jun 21, 2018 9:25 pm    Post subject: media-libs/libffado fails due to scons Reply with quote

Advice would be greatly appreciated. I don't know much about scons or how to fix scons issues.

Code:

>>> Emerging (2 of 2) media-libs/libffado-2.4.0::gentoo
>>> Failed to emerge media-libs/libffado-2.4.0, Log file:
>>>  '/var/tmp/portage/media-libs/libffado-2.4.0/temp/build.log'
>>> Jobs: 1 of 2 complete, 1 failed                Load avg: 0.92, 0.77, 0.45
 * Package:    media-libs/libffado-2.4.0
 * Repository: gentoo
 * Maintainer: marcan@marcan.st proxy-maint@gentoo.org,proaudio@gentoo.org
 * USE:        abi_x86_32 abi_x86_64 amd64 elibc_glibc kernel_linux python_single_target_python3_5 python_targets_python2_7 python_targets_python3_4 python_targets_python3_5 qt5 userland_GNU
 * FEATURES:   preserve-libs sandbox userpriv usersandbox
 * Applying libffado-2.4.0-rme-bigendian-fix.patch ...
 [ ok ]
 * Applying libffado-2.4.0-pyqt5-dbus-detection.patch ...
 [ ok ]
 * Applying libffado-2.4.0-py3-pyqt5-fixes.patch ...
 [ ok ]
 * Applying libffado-2.4.0-additional-py3-fixes.patch ...
 [ ok ]
 * Applying libffado-2.4.0-crossbar-router-fix.patch ...
 [ ok ]
 * Will copy sources from /var/tmp/portage/media-libs/libffado-2.4.0/work/libffado-2.4.0
 * abi_x86_32.x86: copying to /var/tmp/portage/media-libs/libffado-2.4.0/work/libffado-2.4.0-abi_x86_32.x86
 * abi_x86_64.amd64: copying to /var/tmp/portage/media-libs/libffado-2.4.0/work/libffado-2.4.0-abi_x86_64.amd64
 * abi_x86_32.x86: running multilib-minimal_abi_src_configure
 * abi_x86_64.amd64: running multilib-minimal_abi_src_configure
 * abi_x86_32.x86: running multilib-minimal_abi_src_compile
scons -j4 PREFIX=/usr LIBDIR=/usr/lib32 MANDIR=/usr/share/man UDEVDIR=/lib/udev/rules.d CUSTOM_ENV=true DETECT_USERSPACE_ENV=false DEBUG=no PYPKGDIR=/usr/lib64/python3.5/site-packages ENABLE_OPTIMIZATIONS=false ENABLE_SETBUFFERSIZE_API_VER=force BUILD_MIXER=false BUILD_TESTS=false
scons: Reading SConscript files ...

 * Usage of additional flags is not supported by the ffado-devs.
 * Use at own risk!
 *
 * Flags in use:
 *   CC = x86_64-pc-linux-gnu-gcc -m32
 *   CXX = x86_64-pc-linux-gnu-g++ -m32
 *   CFLAGS = -O2 -pipe -O2 -pipe
 *   CXXFLAGS = -O2 -pipe -O2 -pipe
 *   LDFLAGS = -Wl,-O1 -Wl,--as-needed -Wl,-O1 -Wl,--as-needed

Checking for a working C-compiler TypeError : sequence item 0: expected str instance, bytes found
 * ERROR: media-libs/libffado-2.4.0::gentoo failed (compile phase):
 *   escons failed.
 *
 * Call stack:
 *     ebuild.sh, line  124:  Called src_compile
 *   environment, line 3024:  Called multilib-minimal_src_compile
 *   environment, line 1646:  Called multilib_foreach_abi 'multilib-minimal_abi_src_compile'
 *   environment, line 1877:  Called multibuild_foreach_variant '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_compile'
 *   environment, line 1581:  Called _multibuild_run '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_compile'
 *   environment, line 1579:  Called _multilib_multibuild_wrapper 'multilib-minimal_abi_src_compile'
 *   environment, line  355:  Called multilib-minimal_abi_src_compile
 *   environment, line 1640:  Called multilib_src_compile
 *   environment, line 2090:  Called myescons
 *   environment, line 2148:  Called escons 'PREFIX=/usr' 'LIBDIR=/usr/lib32' 'MANDIR=/usr/share/man' 'UDEVDIR=/lib/udev/rules.d' 'CUSTOM_ENV=true' 'DETECT_USERSPACE_ENV=false' 'DEBUG=no' 'PYPKGDIR=/usr/lib64/python3.5/site-packages' 'ENABLE_OPTIMIZATIONS=false' 'ENABLE_SETBUFFERSIZE_API_VER=force' 'BUILD_MIXER=false' 'BUILD_TESTS=false'
 *   environment, line  850:  Called die
 * The specific snippet of code:
 *                   die -n "escons failed."
 *
 * If you need support, post the output of `emerge --info '=media-libs/libffado-2.4.0::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=media-libs/libffado-2.4.0::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/media-libs/libffado-2.4.0/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-libs/libffado-2.4.0/temp/environment'.
 * Working directory: '/var/tmp/portage/media-libs/libffado-2.4.0/work/libffado-2.4.0-abi_x86_32.x86'
 * S: '/var/tmp/portage/media-libs/libffado-2.4.0/work/libffado-2.4.0'

 * Messages for package media-libs/libffado-2.4.0:

 * ERROR: media-libs/libffado-2.4.0::gentoo failed (compile phase):
 *   escons failed.
 *
 * Call stack:
 *     ebuild.sh, line  124:  Called src_compile
 *   environment, line 3024:  Called multilib-minimal_src_compile
 *   environment, line 1646:  Called multilib_foreach_abi 'multilib-minimal_abi_src_compile'
 *   environment, line 1877:  Called multibuild_foreach_variant '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_compile'
 *   environment, line 1581:  Called _multibuild_run '_multilib_multibuild_wrapper' 'multilib-minimal_abi_src_compile'
 *   environment, line 1579:  Called _multilib_multibuild_wrapper 'multilib-minimal_abi_src_compile'
 *   environment, line  355:  Called multilib-minimal_abi_src_compile
 *   environment, line 1640:  Called multilib_src_compile
 *   environment, line 2090:  Called myescons
 *   environment, line 2148:  Called escons 'PREFIX=/usr' 'LIBDIR=/usr/lib32' 'MANDIR=/usr/share/man' 'UDEVDIR=/lib/udev/rules.d' 'CUSTOM_ENV=true' 'DETECT_USERSPACE_ENV=false' 'DEBUG=no' 'PYPKGDIR=/usr/lib64/python3.5/site-packages' 'ENABLE_OPTIMIZATIONS=false' 'ENABLE_SETBUFFERSIZE_API_VER=force' 'BUILD_MIXER=false' 'BUILD_TESTS=false'
 *   environment, line  850:  Called die
 * The specific snippet of code:
 *                   die -n "escons failed."
 *
 * If you need support, post the output of `emerge --info '=media-libs/libffado-2.4.0::gentoo'`,
 * the complete build log and the output of `emerge -pqv '=media-libs/libffado-2.4.0::gentoo'`.
 * The complete build log is located at '/var/tmp/portage/media-libs/libffado-2.4.0/temp/build.log'.
 * The ebuild environment file is located at '/var/tmp/portage/media-libs/libffado-2.4.0/temp/environment'.
 * Working directory: '/var/tmp/portage/media-libs/libffado-2.4.0/work/libffado-2.4.0-abi_x86_32.x86'
 * S: '/var/tmp/portage/media-libs/libffado-2.4.0/work/libffado-2.4.0'


eix scons:
Code:

[I] dev-util/scons
     Available versions:  2.4.1 2.5.1 (~)3.0.1 (~)3.0.1-r1 (~)3.0.1-r3 (~)3.0.1-r100 {doc test PYTHON_TARGETS="pypy python2_7 python3_4 python3_5 python3_6"}
     Installed versions:  3.0.1-r100(05:09:58 PM 06/21/2018)(-doc -test PYTHON_TARGETS="python2_7 python3_4 python3_5 -python3_6")
     Homepage:            http://www.scons.org/
     Description:         Extensible Python-based build utility


libffado is now requiring this version of scons. Don't know why.
_________________
Gentoo Studio: A Gentoo-based, professional digital audio workstation OS.
Back to top
View user's profile Send private message
ct85711
Veteran
Veteran


Joined: 27 Sep 2005
Posts: 1657

PostPosted: Thu Jun 21, 2018 10:31 pm    Post subject: Reply with quote

Just for reference, but doesn't mention anything to help.

https://bugs.gentoo.org/658052
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 6271
Location: /usr/lib64/lv2

PostPosted: Fri Jun 22, 2018 2:27 pm    Post subject: Reply with quote

I think I need to track down what is requiring the ~arch version of scons and deal with that.
_________________
Gentoo Studio: A Gentoo-based, professional digital audio workstation OS.
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 6271
Location: /usr/lib64/lv2

PostPosted: Fri Jun 22, 2018 8:21 pm    Post subject: How do I find a dependency's dependency? Reply with quote

I'm getting this:
Code:

The following keyword changes are necessary to proceed:
 (see "package.accept_keywords" in the portage(5) man page for more details)
# required by media-libs/libffado-2.4.0::gentoo
# required by media-sound/jack2-1.9.12-r1::gentoo[ieee1394]
# required by virtual/jack-0::gentoo
# required by media-libs/slv2-0.6.6-r2::gentoo
# required by media-sound/ardour-5.12::gentoo
# required by media-sound/ardour (argument)
=dev-util/scons-3.0.1-r100 ~amd64


Now, I know libffado is not at fault, because if I emerge -pv libffado on a machine where it and none of these other packages are installed, I get no such demand for the ~arch version of scons. None of the other packages have ebuilds that directly mention scons at all. So I figure the problem is that some dependency that one of these packages pulled in is insisting on keywording scons. What is a good way to find out which dependency package it is?
_________________
Gentoo Studio: A Gentoo-based, professional digital audio workstation OS.
Back to top
View user's profile Send private message
fedeliallalinea
Bodhisattva
Bodhisattva


Joined: 08 Mar 2003
Posts: 19837
Location: here

PostPosted: Fri Jun 22, 2018 8:34 pm    Post subject: Reply with quote

Adding -t on your emerge command you can't understand it?
_________________
Questions are guaranteed in life; Answers aren't.
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 6271
Location: /usr/lib64/lv2

PostPosted: Fri Jun 22, 2018 9:41 pm    Post subject: Reply with quote

I'm actually trying to troubleshoot my Gentoo Studio stage4 catalyst build.

It occurred to me to look at the available versions of ~arch scons and start by masking the highest one. If that helps, great, but I'm not happy that a package somewhere is demaning ~arch scons. It shouldn't be needed for this build.

EDIT: WTF? Something is asking for scons-3.0.1-r100, so masking is not helping.
_________________
Gentoo Studio: A Gentoo-based, professional digital audio workstation OS.
Back to top
View user's profile Send private message
krinn
Watchman
Watchman


Joined: 02 May 2003
Posts: 6849

PostPosted: Fri Jun 22, 2018 9:47 pm    Post subject: Reply with quote

You have qdepends -Q that could answer that, the weakness is that it will only answer if the relation already exists (only if scons is install, and someone do depends on it)

With a few logic, you might also find it who:
scons is ~
if you consider that gentoo devs strictly make stable package using stable dep, this mean that only an ~ package would ask a ~scons.
so because you are running stable, culprit you seek must be an ~ package


Last edited by krinn on Fri Jun 22, 2018 9:49 pm; edited 1 time in total
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 6271
Location: /usr/lib64/lv2

PostPosted: Fri Jun 22, 2018 9:47 pm    Post subject: Reply with quote

If something in this list is demanding the latest ~arch version of scons, how do I find out without taking two weeks off to manually dig through it?

The weird thing is, this is not an issue on any of my actual, used IRL Gentoo Studio machines when I update them. And if it's installed in the tarball, it's installed on my existing machines. (Well, except for scons-3, of course. Scons-2 is being used on existing machines, nothing wants to ~arch that.)

Code:

[ebuild   R   ] sys-libs/ncurses-6.1-r2
[ebuild   R   ] virtual/libintl-0-r2
[ebuild   R   ] app-arch/bzip2-1.0.6-r9
[ebuild   R   ] virtual/libiconv-0-r2
[ebuild  N    ] dev-qt/qtchooser-0_p20170803
[ebuild  N    ] media-libs/libogg-1.3.3
[ebuild  N    ] app-arch/cpio-2.12-r1
[ebuild  N    ] media-libs/libclthreads-2.4.0-r1
[ebuild  N    ] media-libs/opus-1.2.1
[ebuild  N    ] sys-devel/autoconf-archive-2018.03.13
[ebuild  N    ] sys-kernel/linux-firmware-20180103-r1
[ebuild   R   ] dev-libs/lzo-2.10
[ebuild  N    ] sys-power/pm-quirks-20100619-r1
[ebuild  N    ] app-arch/cabextract-1.6
[ebuild  N    ] net-dialup/ppp-scripts-0
[ebuild  N    ] net-wireless/wireless-regdb-20180531
[ebuild  N    ] media-libs/liblscp-0.5.8
[ebuild  N    ] dev-util/cppunit-1.14.0
[ebuild  N    ] app-text/t1utils-1.39
[ebuild  N    ] media-libs/libuninameslist-20091231
[ebuild  N    ] app-text/poppler-data-0.4.7
[ebuild  N    ] media-sound/gsm-1.0.13-r1
[ebuild  N    ] app-emulation/wine-gecko-2.47-r1
[ebuild  N    ] app-emulation/wine-mono-4.7.1
[ebuild  N    ] dev-libs/libaio-0.3.110
[ebuild  N    ] media-libs/zita-resampler-1.6.0
[ebuild  N    ] app-shells/quoter-3.0_p2-r1
[ebuild  N    ] app-shells/push-2.0-r1
[ebuild  N    ] dev-libs/ivykis-0.42.2
[ebuild  N    ] sys-apps/tcp-wrappers-7.6.22-r1
[ebuild  N    ] media-libs/celt-0.11.1-r1
[ebuild  N    ] app-text/docbook-dsssl-stylesheets-1.79-r2
[ebuild  N    ] app-arch/zip-3.0-r3
[ebuild  N    ] dev-util/premake-3.7
[ebuild  N    ] app-text/docbook-sgml-dtd-3.0-r3
[ebuild   R   ] dev-libs/libltdl-2.4.6
[ebuild  N    ] app-arch/rpm2targz-9.0.0.5g
[ebuild  N    ] net-misc/mobile-broadband-provider-info-20170310
[ebuild   R   ] dev-libs/gmp-6.1.2
[ebuild   R   ] dev-libs/libffi-3.2.1
[ebuild  N    ] sys-libs/libraw1394-2.1.0-r1
[ebuild  N    ] dev-libs/kpathsea-6.2.3_p20170524
[ebuild  N    ] media-libs/libcddb-1.3.2-r1
[ebuild   R   ] dev-libs/libunistring-0.9.7
[ebuild  N    ] media-libs/giflib-5.1.4
[ebuild  N    ] dev-libs/libyaml-0.1.7
[ebuild  N    ] sys-libs/libunwind-1.2.1
[ebuild   R   ] virtual/libffi-3.0.13-r1
[ebuild  N    ] sys-libs/mtdev-1.1.5
[ebuild  N    ] x11-base/xorg-drivers-1.19
[ebuild  N    ] media-libs/ladspa-sdk-1.13-r2
[ebuild  N    ] media-libs/ladspa-cmt-1.16-r4
[ebuild  N    ] media-plugins/tap-plugins-0.7.3
[ebuild  N    ] media-plugins/caps-plugins-0.9.24
[ebuild  N    ] app-emulation/wine-desktop-common-20150204
[ebuild  N    ] app-eselect/eselect-wine-1.2.2
[ebuild  N    ] app-emacs/emacs-common-gentoo-1.6-r1
[ebuild  N    ] dev-util/boost-build-1.65.0
[ebuild  N    ] app-portage/cpuid2cpuflags-1
[ebuild  N    ] dev-libs/serd-0.28.0-r1
[ebuild  N    ] dev-python/sip-4.19.8
[ebuild  N    ] dev-python/pyparsing-2.2.0
[ebuild  N    ] dev-util/scons-3.0.1-r100
[ebuild  N    ] dev-python/python-ly-0.9.5
[ebuild  N    ] dev-python/pyyaml-3.12
[ebuild  N    ] dev-python/pygments-2.2.0
[ebuild  N    ] dev-python/numpy-1.10.4
[ebuild  N    ] dev-python/bsddb3-6.2.4
[ebuild  N    ] dev-python/isodate-0.5.4
[ebuild  N    ] dev-python/six-1.11.0
[ebuild  N    ] dev-python/html5lib-0.9999999
[ebuild  N    ] dev-python/rdflib-4.2.2
[ebuild  N    ] dev-python/docutils-0.13.1
[ebuild  N    ] dev-python/cython-0.25.2
[ebuild  N    ] app-eselect/eselect-ctags-1.18
[ebuild  N    ] app-eselect/eselect-xvmc-0.4
[ebuild  N    ] app-eselect/eselect-notify-send-0.1
[ebuild  N    ] app-eselect/eselect-cdparanoia-0.1
[ebuild  N    ] app-eselect/eselect-vi-1.1.9
[ebuild  N    ] app-eselect/eselect-ruby-20170723
[ebuild  N    ] app-eselect/eselect-chuck-1.0.2
[ebuild  N    ] app-eselect/eselect-qtgraphicssystem-1.1.1
[ebuild  N    ] app-eselect/eselect-wxwidgets-20140423
[ebuild  N    ] app-eselect/eselect-mpg123-0.1
[ebuild  N    ] app-eselect/eselect-package-manager-20110108-r1
[ebuild  N    ] app-eselect/eselect-emacs-1.18
[ebuild  N    ] sys-auth/realtime-base-0.1
[ebuild  N    ] virtual/awk-1
[ebuild  N    ] app-text/txt2man-1.5.6
[ebuild  N    ] virtual/fortran-0
[ebuild  N    ] sci-libs/fftw-3.3.6_p2
[ebuild  N    ] app-editors/vim-core-8.0.1298
[ebuild   R   ] sys-libs/zlib-1.2.11-r1
[ebuild   R   ] dev-libs/expat-2.2.5
[ebuild  N    ] media-libs/alsa-lib-1.1.6-r1
[ebuild   R   ] media-libs/libpng-1.6.34
[ebuild  N    ] media-libs/liblo-0.29
[ebuild  N    ] dev-libs/nspr-4.13.1
[ebuild  N    ] media-libs/libmad-0.15.1b-r8
[ebuild  N    ] dev-lang/tcl-8.6.6
[ebuild  N    ] app-text/libpaper-1.1.24-r2
[ebuild  N    ] media-sound/wavpack-5.1.0
[ebuild   R   ] dev-libs/nettle-3.4
[ebuild  N    ] dev-util/ragel-6.10
[ebuild  N    ] dev-util/google-perftools-2.6.2
[ebuild  N    ] media-libs/zita-alsa-pcmi-0.2.0
[ebuild  N    ] dev-libs/libconfig-1.5
[ebuild  N    ] media-libs/jbig2dec-0.13-r4
[ebuild  N    ] media-libs/libid3tag-0.15.1b-r4
[ebuild  N    ] media-libs/faad2-2.7-r3
[ebuild  N    ] dev-python/pyalsa-1.0.29
[ebuild  N    ] net-libs/liblockfile-1.09
[ebuild   R   ] dev-libs/openssl-1.0.2o-r3
[ebuild  N    ] dev-lang/nasm-2.13.01
[ebuild  N    ] dev-perl/XML-NamespaceSupport-1.120.0
[ebuild  N    ] virtual/perl-Scalar-List-Utils-1.420.200_rc-r1
[ebuild  N    ] virtual/perl-MIME-Base64-3.150.0-r3
[ebuild  N    ] media-libs/libjpeg-turbo-1.5.1
[ebuild  N    ] virtual/jpeg-0-r2
[ebuild  N    ] media-libs/tiff-4.0.9-r3
[ebuild  N    ] media-libs/lcms-2.9
[ebuild  N    ] dev-perl/XML-SAX-Base-1.90.0
[ebuild  N    ] media-libs/x264-0.0.20170701
[ebuild  N    ] media-libs/xvid-1.3.3
[ebuild  N    ] app-crypt/mhash-0.9.9.9-r2
[ebuild  N    ] dev-perl/Net-SSLeay-1.820.0
[ebuild  N    ] dev-perl/IO-Socket-SSL-2.48.0
[ebuild  N    ] virtual/perl-libnet-3.80.100_rc-r4
[ebuild  N    ] dev-perl/Net-SMTP-SSL-1.30.0
[ebuild  N    ] virtual/perl-Digest-SHA-5.950.100_rc-r6
[ebuild  N    ] virtual/perl-Digest-MD5-2.540.0-r3
[ebuild  N    ] dev-perl/Digest-HMAC-1.30.0-r1
[ebuild  N    ] dev-perl/Authen-SASL-2.160.0-r1
[ebuild  N    ] virtual/jpeg-62
[ebuild  N    ] virtual/perl-Storable-2.560.100_rc-r4
[ebuild  N    ] virtual/perl-parent-0.234.0-r1
[ebuild  N    ] virtual/perl-Exporter-5.720.0-r3
[ebuild  N    ] dev-perl/URI-1.710.0
[ebuild  N    ] dev-perl/File-BaseDir-0.30.0-r1
[ebuild  N    ] dev-perl/File-DesktopEntry-0.40.0-r1
[ebuild  N    ] dev-perl/File-MimeInfo-0.280.0
[ebuild  N    ] dev-perl/Error-0.170.240
[ebuild  NS   ] sys-devel/autoconf-2.13 [2.69-r4]
[ebuild  N    ] sys-apps/ed-1.13
[ebuild  N    ] dev-cpp/libbinio-1.4-r1
[ebuild  N    ] dev-libs/libsigc++-2.10.0
[ebuild  N    ] net-libs/libndp-1.6-r1
[ebuild  N    ] gnome-base/gnome-common-3.18.0-r1
[ebuild  N    ] media-libs/openjpeg-2.3.0
[ebuild  N    ] dev-libs/double-conversion-3.0.0
[ebuild  N    ] app-arch/snappy-1.1.7
[ebuild  N    ] dev-libs/leveldb-1.18-r2
[ebuild  N    ] media-libs/soxr-0.1.3-r1
[ebuild  N    ] media-libs/portmidi-217-r1
[ebuild  N    ] virtual/freedesktop-icon-theme-0-r3
[ebuild   R   ] dev-libs/libtasn1-4.13
[ebuild   R   ] net-dns/libidn2-2.0.4
[ebuild  N    ] app-portage/gentoopm-0.3.0
[ebuild  N    ] app-portage/gentoolkit-0.4.2-r1
[ebuild  N    ] app-portage/smart-live-rebuild-1.3.5
[ebuild  N    ] virtual/eject-0-r1
[ebuild   R   ] sys-libs/readline-7.0_p3
[ebuild  N    ] dev-lang/ruby-2.3.7
[ebuild  N    ] dev-ruby/rubygems-2.7.6
[ebuild  N    ] virtual/rubygems-11
[ebuild  N    ] dev-ruby/rake-10.5.0
[ebuild  N    ] dev-ruby/json-1.8.6-r1
[ebuild  N    ] dev-ruby/did_you_mean-1.0.2
[ebuild  N    ] dev-ruby/minitest-5.10.3
[ebuild  N    ] dev-ruby/net-telnet-0.1.1-r1
[ebuild  N    ] dev-ruby/power_assert-1.1.1
[ebuild  N    ] dev-ruby/test-unit-3.2.7
[ebuild  N    ] dev-ruby/racc-1.4.14
[ebuild  N    ] dev-ruby/rdoc-4.3.0
[ebuild   R   ] sys-apps/attr-2.4.47-r2
[ebuild   R   ] x11-libs/libICE-1.0.9-r2
[ebuild  N    ] dev-libs/icu-60.2
[ebuild  N    ] dev-db/sqlite-3.23.1
[ebuild  N    ] dev-libs/boost-1.65.0
[ebuild  N    ] sys-block/thin-provisioning-tools-0.7.0
[ebuild   R   ] dev-libs/libxml2-2.9.8
[ebuild   R   ] sys-devel/gettext-0.19.8.1
[ebuild   R   ] dev-libs/elfutils-0.170-r1
[ebuild   R   ] virtual/libelf-3
[ebuild   R   ] dev-libs/libgpg-error-1.29
[ebuild   R   ] dev-libs/libgcrypt-1.8.3
[ebuild   R   ] dev-libs/libxslt-1.1.32
[ebuild  N    ] app-text/iso-codes-3.76
[ebuild  N    ] dev-python/lxml-4.1.1
[ebuild  N    ] media-libs/lv2-1.14.0-r1
[ebuild  N    ] dev-perl/XML-SAX-0.990.0-r1
[ebuild  N    ] dev-util/itstool-2.0.2
[ebuild   R   ] sys-libs/binutils-libs-2.30-r2
[ebuild  N    ] dev-perl/XML-SAX-Expat-0.510.0
[ebuild  N    ] dev-perl/XML-Simple-2.250.0
[ebuild  N    ] x11-misc/icon-naming-utils-0.8.90-r1
[ebuild  N    ] dev-scheme/guile-1.8.8-r3
[ebuild  N    ] net-dns/libidn-1.35
[ebuild  N    ] x11-misc/xdg-user-dirs-0.16
[ebuild  N    ] x11-misc/xdg-user-dirs-gtk-0.10-r1
[ebuild  N    ] app-portage/repoman-2.3.9
[ebuild   R   ] dev-libs/libpcre-8.41-r1
[ebuild  N    ] dev-lang/swig-3.0.12
[ebuild  N    ] dev-libs/libnl-3.2.28
[ebuild  N    ] sys-libs/slang-2.3.2
[ebuild  N    ] dev-libs/newt-0.52.15
[ebuild  N    ] dev-python/m2crypto-0.24.0
[ebuild  N    ] dev-libs/libbytesize-1.2-r1
[ebuild  N    ] app-crypt/gpgme-1.10.0
[ebuild   R   ] x11-libs/libXau-1.0.8-r1
[ebuild   R   ] x11-libs/libXdmcp-1.1.2-r2
[ebuild   R   ] sys-fs/eudev-3.2.5
[ebuild  N    ] virtual/libudev-232
[ebuild  N    ] dev-libs/libusb-1.0.21
[ebuild  N    ] virtual/libusb-1-r2
[ebuild   R   ] sys-apps/util-linux-2.30.2-r1
[ebuild  N    ] sys-kernel/genkernel-3.5.3.3
[ebuild   R   ] dev-libs/glib-2.52.3
[ebuild  N    ] gnome-base/dconf-0.26.1
[ebuild   R   ] dev-util/pkgconfig-0.29.2
[ebuild   R   ] virtual/pkgconfig-0-r1
[ebuild   R   ] x11-libs/libSM-1.2.2-r2
[ebuild   R   ] dev-libs/libpthread-stubs-0.4
[ebuild     UD] media-libs/freetype-2.8 [2.9.1-r3]
[ebuild  N    ] xfce-base/libxfce4util-4.13.1
[ebuild   R   ] x11-libs/libpciaccess-0.14
[ebuild   R   ] x11-libs/libdrm-2.4.91
[ebuild  N    ] media-libs/libvorbis-1.3.6
[ebuild   R   ] dev-libs/atk-2.24.0
[ebuild  N    ] dev-cpp/glibmm-2.52.1
[ebuild   R   ] net-libs/gnutls-3.5.18
[ebuild  N    ] media-libs/flac-1.3.2-r1
[ebuild  N    ] media-libs/libsndfile-1.0.28-r1
[ebuild  N    ] media-libs/libsamplerate-0.1.9
[ebuild   R   ] x11-libs/pixman-0.34.0
[ebuild  N    ] media-libs/raptor-2.0.14
[ebuild  N    ] media-libs/liblrdf-0.5.0
[ebuild  N    ] media-sound/lame-3.100-r1
[ebuild  N    ] dev-libs/nss-3.29.5
[ebuild  N    ] dev-libs/sord-0.16.0-r1
[ebuild  N    ] media-plugins/swh-plugins-0.4.15-r3
[ebuild  N    ] media-sound/alsa-utils-1.1.6
[ebuild  N    ] gnome-base/gsettings-desktop-schemas-3.24.1
[ebuild  N    ] x11-themes/gnome-themes-standard-3.22.3
[ebuild   R   ] x11-libs/libxshmfence-1.3-r1
[ebuild  N    ] x11-libs/libfontenc-1.1.3-r1
[ebuild  N    ] x11-apps/mkfontscale-1.1.3
[ebuild  N    ] x11-apps/mkfontdir-1.0.7
[ebuild  N    ] media-fonts/encodings-1.0.4-r1
[ebuild  N    ] media-fonts/dejavu-2.37
[ebuild  N    ] x11-apps/iceauth-1.0.8
[ebuild  N    ] x11-misc/xkeyboard-config-2.23.1-r1
[ebuild  N    ] media-fonts/urw-fonts-2.4.9
[ebuild   R   ] x11-base/xcb-proto-1.13
[ebuild   R   ] x11-libs/libxcb-1.13
[ebuild   R   ] x11-libs/libX11-1.6.5-r1
[ebuild  N    ] x11-libs/libXt-1.1.5-r1
[ebuild   R   ] sys-apps/dbus-1.10.24
[ebuild   R   ] x11-libs/libXext-1.3.3-r1
[ebuild  N    ] x11-libs/libXScrnSaver-1.2.2-r2
[ebuild  N    ] dev-libs/dbus-glib-0.108
[ebuild   R   ] x11-libs/libXfixes-5.0.3-r1
[ebuild   R   ] x11-libs/libXi-1.7.9-r1
[ebuild   R   ] x11-libs/libXrender-0.9.10-r1
[ebuild   R   ] x11-libs/gdk-pixbuf-2.36.12
[ebuild  N    ] xfce-base/xfconf-4.12.1
[ebuild   R   ] x11-libs/libXrandr-1.5.1-r1
[ebuild   R   ] x11-libs/libXcursor-1.1.15
[ebuild   R   ] x11-libs/libXcomposite-0.4.4-r2
[ebuild  N    ] x11-libs/libXmu-1.1.2-r1
[ebuild  N    ] dev-python/dbus-python-1.2.4
[ebuild   R   ] x11-libs/libXdamage-1.1.4-r2
[ebuild   R   ] x11-libs/libXxf86vm-1.1.4-r1
[ebuild  N    ] x11-libs/libXv-1.0.11-r1
[ebuild  N    ] x11-libs/libXvMC-1.0.10-r1
[ebuild  N    ] x11-libs/libxkbfile-1.0.9-r2
[ebuild  N    ] x11-libs/xcb-util-renderutil-0.3.9-r2
[ebuild  N    ] x11-apps/xrdb-1.1.1
[ebuild  N    ] x11-apps/xkbcomp-1.4.1
[ebuild  N    ] x11-libs/libxklavier-5.4
[ebuild  N    ] x11-libs/xcb-util-keysyms-0.4.0-r1
[ebuild  N    ] x11-libs/xcb-util-wm-0.4.1-r2
[ebuild  N    ] dev-libs/libpcre2-10.30
[ebuild  N    ] dev-qt/qtcore-5.9.4-r2
[ebuild  N    ] dev-qt/qtnetwork-5.9.4
[ebuild  N    ] dev-qt/qtxml-5.9.4
[ebuild  N    ] dev-vcs/git-2.16.4
[ebuild  N    ] dev-qt/linguist-tools-5.9.4
[ebuild  N    ] dev-qt/qtdbus-5.9.4
[ebuild  N    ] dev-qt/qtxmlpatterns-5.9.4
[ebuild  N    ] x11-misc/xbitmaps-1.1.2
[ebuild  N    ] x11-apps/xauth-1.0.10
[ebuild  N    ] dev-qt/qtconcurrent-5.9.4
[ebuild  N    ] dev-qt/qttest-5.9.4
[ebuild  N    ] dev-qt/qtsql-5.9.4-r1
[ebuild  N    ] dev-cpp/atkmm-2.24.2
[ebuild  N    ] media-libs/vamp-plugin-sdk-2.7.1
[ebuild  N    ] media-libs/rubberband-1.8.1-r1
[ebuild  N    ] media-libs/sratom-0.6.0-r1
[ebuild  N    ] media-libs/lilv-0.24.2-r2
[ebuild  N    ] x11-libs/libXinerama-1.1.3-r1
[ebuild   R   ] x11-libs/libXtst-1.2.3-r1
[ebuild  N    ] media-libs/libsoundtouch-1.8.0-r1
[ebuild  N    ] media-sound/twolame-0.3.13-r2
[ebuild  N    ] media-libs/libart_lgpl-2.3.21-r3
[ebuild  N    ] sys-block/parted-3.2-r1
[ebuild   R   ] media-libs/fontconfig-2.12.6
[ebuild  N    ] x11-libs/libXft-2.3.2-r1
[ebuild  N    ] x11-terms/rxvt-unicode-9.21
[ebuild  N    ] app-admin/syslog-ng-3.13.2
[ebuild  N    ] dev-lang/spidermonkey-1.8.5-r6
[ebuild  N    ] x11-libs/libXres-1.2.0-r1
[ebuild   R   ] dev-libs/libcroco-0.6.12-r1
[ebuild   R   ] sys-devel/llvm-5.0.2
[ebuild   R   ] media-libs/mesa-17.3.9
[ebuild   R   ] x11-libs/cairo-1.14.12
[ebuild  N    ] virtual/opengl-7.0-r1
[ebuild  N    ] dev-cpp/cairomm-1.12.0-r1
[ebuild   R   ] media-libs/harfbuzz-1.7.6
[ebuild   R   ] x11-libs/pango-1.40.14-r1
[ebuild   R   ] gnome-base/librsvg-2.40.18
[ebuild  N    ] dev-cpp/pangomm-2.40.1
[ebuild   R   ] media-libs/libepoxy-1.5.1
[ebuild  N    ] media-libs/glu-9.0.0-r1
[ebuild  N    ] virtual/glu-9.0-r1
[ebuild  N    ] dev-python/pycairo-1.16.3-r1
[ebuild  N    ] app-laptop/radeontool-1.6.3
[ebuild  N    ] sys-power/pm-utils-1.4.1-r7
[ebuild  N    ] dev-libs/libcdio-0.93
[ebuild  N    ] dev-libs/libcdio-paranoia-0.93_p1
[ebuild  N    ] net-libs/libproxy-0.4.13-r2
[ebuild  N    ] net-libs/glib-networking-2.50.0
[ebuild  N    ] net-libs/libsoup-2.58.2
[ebuild  N    ] dev-util/xfce4-dev-tools-4.12.0-r1
[ebuild  N    ] dev-libs/libevdev-1.5.9
[ebuild  N    ] dev-libs/libinput-1.10.7
[ebuild  N    ] media-fonts/corefonts-1-r7
[ebuild  N    ] media-gfx/imagemagick-7.0.7.28
[ebuild  N    ] dev-qt/qtlockedfile-2.4.1_p20171024
[ebuild  N    ] x11-libs/libxkbcommon-0.8.0
[ebuild  N    ] x11-misc/xsel-1.2.0-r1
[ebuild  N    ] x11-apps/xinit-1.4.0
[ebuild  N    ] x11-libs/libXfont2-2.0.3-r1
[ebuild  N    ] x11-apps/rgb-1.0.6
[ebuild  N    ] x11-base/xorg-server-1.19.5-r2
[ebuild  N    ] x11-drivers/xf86-input-libinput-0.27.1
[ebuild  N    ] x11-drivers/xf86-video-ati-18.0.1-r1
[ebuild  N    ] x11-drivers/xf86-video-dummy-0.3.8
[ebuild  N    ] x11-drivers/xf86-video-nouveau-1.0.15-r1
[ebuild  N    ] x11-drivers/xf86-video-amdgpu-18.0.1
[ebuild  N    ] x11-drivers/xf86-video-fbdev-0.4.4
[ebuild  N    ] x11-drivers/xf86-video-vesa-2.4.0
[ebuild  N    ] x11-drivers/xf86-input-mouse-1.9.2
[ebuild  N    ] x11-drivers/xf86-input-keyboard-1.9.0
[ebuild  N    ] sys-libs/efivar-31
[ebuild  N    ] sys-apps/pciutils-3.4.1
[ebuild  N    ] sys-boot/efibootmgr-15
[ebuild  N    ] net-misc/dhcp-4.3.6_p1
[ebuild  N    ] net-wireless/crda-3.18-r1
[ebuild  N    ] net-wireless/wpa_supplicant-2.6-r6
[ebuild  N    ] dev-util/ctags-20161028
[ebuild  N    ] app-editors/vim-8.0.1298
[ebuild  N    ] app-vim/gentoo-syntax-20170225
[ebuild  N    ] media-libs/audiofile-0.3.6-r3
[ebuild  N    ] media-libs/libgig-4.1.0
[ebuild  N    ] dev-lang/tk-8.6.6
[ebuild  N    ] x11-libs/fltk-1.3.3-r3
[ebuild  N    ] media-libs/libclxclient-3.9.0
[ebuild  N    ] sys-libs/libavc1394-0.5.4-r1
[ebuild  N    ] dev-libs/dbus-c++-0.9.0-r3
[ebuild  N    ] media-libs/libiec61883-1.2.0-r1
[ebuild  N    ] dev-cpp/libxmlpp-2.40.1
[ebuild  N    ] x11-apps/xprop-1.2.3
[ebuild  N    ] x11-apps/xset-1.2.4
[ebuild  N    ] x11-misc/xdg-utils-1.1.1-r1
[ebuild   R   ] app-accessibility/at-spi2-core-2.24.1
[ebuild   R   ] app-accessibility/at-spi2-atk-2.24.1
[ebuild   R   ] x11-libs/gtk+-3.22.29
[ebuild  N    ] dev-cpp/gtkmm-3.22.2
[ebuild  N    ] app-text/ghostscript-gpl-9.21
[ebuild  N    ] media-fonts/tex-gyre-2.005
[ebuild  N    ] app-text/ps2pkm-1.8_p20170524
[ebuild  N    ] dev-libs/zziplib-0.13.62-r2
[ebuild  N    ] app-text/dvipsk-5.997_p20170524
[ebuild  N    ] dev-tex/bibtexu-3.71_p20170524
[ebuild  N    ] x11-libs/ntk-9999-r1
[ebuild  N    ] dev-libs/mini-xml-2.10
[ebuild  N    ] media-libs/glew-2.1.0
[ebuild  N    ] media-libs/freeglut-3.0.0
[ebuild  N    ] media-libs/ftgl-2.1.3_rc5
[ebuild  N    ] media-libs/libprojectm-2.1.0-r2
[ebuild  N    ] media-libs/libdc1394-2.2.5-r1
[ebuild  N    ] media-libs/libtheora-1.1.1-r1
[ebuild  N    ] media-libs/adplug-2.2.1
[ebuild  N    ] media-libs/taglib-1.11.1-r1
[ebuild  N    ] dev-libs/rasqal-0.9.32
[ebuild  N    ] dev-libs/redland-1.0.16
[ebuild  N    ] dev-python/pygobject-2.28.6-r55
[ebuild  N    ] media-fonts/font-alias-1.0.3-r1
[ebuild  N    ] x11-apps/bdftopcf-1.1
[ebuild  N    ] media-fonts/font-misc-misc-1.1.2-r1
[ebuild  N    ] sys-apps/gptfdisk-1.0.1
[ebuild  N    ] dev-libs/libatasmart-0.19-r2
[ebuild  N    ] gnome-extra/yelp-xsl-3.20.1
[ebuild  N    ] app-text/yelp-tools-3.18.0
[ebuild  N    ] dev-util/gtk-doc-1.25-r1
[ebuild  N    ] sys-fs/lvm2-2.02.145-r2
[ebuild  N    ] sys-fs/cryptsetup-1.7.5
[ebuild  N    ] dev-libs/volume_key-0.3.9
[ebuild  N    ] sys-libs/libblockdev-2.14-r1
[ebuild  N    ] media-libs/libsmf-1.3
[ebuild  N    ] dev-libs/libgudev-232
[ebuild  N    ] virtual/libgudev-232
[ebuild  N    ] sys-power/upower-0.99.5
[ebuild  N    ] net-libs/libmbim-1.14.0
[ebuild  N    ] net-libs/libqmi-1.16.2
[ebuild  N    ] x11-themes/sound-theme-freedesktop-0.8
[ebuild  N    ] dev-libs/libusb-compat-0.1.5-r2
[ebuild  N    ] virtual/libusb-0-r2
[ebuild  N    ] virtual/imagemagick-tools-0
[ebuild  N    ] x11-themes/tango-icon-theme-0.8.90-r1
[ebuild  N    ] x11-libs/libXpm-3.5.12-r1
[ebuild  N    ] app-editors/emacs-25.3-r4
[ebuild  N    ] virtual/emacs-25
[ebuild  N    ] dev-python/pygobject-3.24.1
[ebuild  N    ] dev-lang/vala-0.36.13
[ebuild  N    ] x11-libs/xcb-util-0.4.0-r1
[ebuild  N    ] x11-drivers/xf86-video-intel-2.99.917_p20180214-r1
[ebuild  N    ] x11-libs/xcb-util-image-0.4.0-r1
[ebuild  N    ] x11-libs/xcb-util-cursor-0.1.3-r2
[ebuild  N    ] dev-qt/qtgui-5.9.4-r3
[ebuild   R   ] app-editors/nano-2.8.7
[ebuild  N    ] app-portage/eix-0.32.9
[ebuild  N    ] app-portage/ufed-0.92
[ebuild  N    ] media-plugins/distrho-ports-99999999
[ebuild  N    ] net-misc/dhcpcd-7.0.1
[ebuild  N    ] sys-apps/usbutils-009
[ebuild  N    ] sys-boot/grub-2.02-r1
[ebuild  N    ] x11-misc/urxvt-perls-2.2
[ebuild  N    ] dev-qt/qtwidgets-5.9.4-r1
[ebuild  N    ] dev-qt/qtmultimedia-5.9.4-r1
[ebuild  N    ] dev-qt/qtx11extras-5.9.4
[ebuild  N    ] app-text/poppler-0.62.0-r1
[ebuild  N    ] dev-qt/qtprintsupport-5.9.4
[ebuild  N    ] dev-qt/qtopengl-5.9.4
[ebuild  N    ] dev-qt/qtsvg-5.9.4-r2
[ebuild  N    ] app-text/texlive-core-2017-r3
[ebuild  N    ] dev-qt/qtdeclarative-5.9.4
[ebuild  N    ] dev-qt/qtsingleapplication-2.6.1_p20171024
[ebuild  N    ] dev-qt/qthelp-5.9.4
[ebuild  N    ] dev-qt/qtwebkit-5.9.1
[ebuild  N    ] dev-qt/designer-5.9.4
[ebuild  N    ] dev-texlive/texlive-basic-2017-r1
[ebuild  N    ] x11-misc/urxvtconfig-1.0-r1
[ebuild  N    ] dev-python/PyQt5-5.9.2
[ebuild  N    ] dev-texlive/texlive-metapost-2017
[ebuild  N    ] media-libs/libffado-2.4.0
[ebuild  N    ] dev-python/python-poppler-qt5-0.24.2_p20170214
[ebuild  N    ] media-sound/jack2-1.9.12-r1
[ebuild  N    ] virtual/jack-0
[ebuild  N    ] media-libs/bio2jack-0.9-r2
[ebuild  N    ] media-sound/fluidsynth-1.1.6-r1
[ebuild  N    ] media-libs/dssi-1.1.1-r1
[ebuild  N    ] media-sound/linuxsampler-2.1.0
[ebuild  N    ] media-video/ffmpeg-3.4.2-r1
[ebuild  N    ] media-sound/mpg123-1.25.6
[ebuild  N    ] media-libs/portaudio-19_pre20140130
[ebuild  N    ] media-libs/slv2-0.6.6-r2
[ebuild  N    ] media-plugins/dpf-plugins-9999
[ebuild  N    ] media-plugins/drumgizmo-0.9.14
[ebuild  N    ] media-sound/a2jmidid-8-r2
[ebuild  N    ] media-sound/cadence-9999-r3
[ebuild  N    ] media-sound/chuck-1.3.5.2
[ebuild  N    ] media-sound/fmit-1.0.15-r1
[ebuild  N    ] media-sound/hydrogen-9999
[ebuild  N    ] media-sound/japa-0.8.4
[ebuild  N    ] media-sound/musescore-2.1.0
[ebuild  N    ] media-sound/pure-data-0.47_p1
[ebuild  N    ] media-sound/qjackctl-0.4.5
[ebuild  N    ] media-sound/supercollider-3.8.0-r1
[ebuild  N    ] media-sound/synthv1-0.9.0
[ebuild  N    ] virtual/ffmpeg-9-r2
[ebuild  N    ] media-plugins/alsa-plugins-1.1.6
[ebuild  N    ] media-sound/gigedit-1.1.0
[ebuild  N    ] media-sound/qsampler-0.4.3
[ebuild  N    ] media-sound/rosegarden-17.12.1
[ebuild  N    ] media-libs/aubio-0.4.1-r1
[ebuild  NS   ] x11-libs/gtk+-2.24.31-r1 [3.22.29]
[ebuild  N    ] x11-themes/gtk-engines-adwaita-3.22.3
[ebuild  N    ] xfce-base/libxfce4ui-4.13.4
[ebuild  N    ] dev-cpp/gtkmm-2.24.5
[ebuild  N    ] x11-libs/libwnck-2.31.0
[ebuild  N    ] media-libs/suil-0.10.0
[ebuild  N    ] gnome-base/libgnomecanvas-2.30.3-r1
[ebuild  N    ] media-plugins/calf-0.90.0
[ebuild  N    ] x11-themes/gtk-engines-xfce-3.2.0-r200
[ebuild  N    ] net-dialup/ppp-2.4.7-r6
[ebuild  N    ] media-gfx/fontforge-20170731-r4
[ebuild  N    ] x11-libs/wxGTK-3.0.3
[ebuild  N    ] gnome-base/libglade-2.6.4-r2
[ebuild  N    ] media-libs/libcanberra-0.30-r5
[ebuild  N    ] media-sound/jack-rack-1.4.8_rc1
[ebuild  N    ] media-sound/jamin-0.95.0-r3
[ebuild  N    ] xfce-base/exo-0.12.0
[ebuild  N    ] xfce-base/garcon-0.6.1
[ebuild  N    ] media-sound/lilypond-2.19.80-r1
[ebuild  N    ] dev-cpp/libgnomecanvasmm-2.26.0-r1
[ebuild  N    ] dev-python/pygtk-2.24.0-r4
[ebuild  N    ] media-plugins/eq10q-2.2
[ebuild  N    ] media-sound/amsynth-1.5.1-r1
[ebuild  N    ] media-sound/audacity-2.2.2
[ebuild  N    ] media-sound/lmms-1.2.0_rc4
[ebuild  N    ] media-sound/qtractor-0.9.0
[ebuild  N    ] media-sound/sequencer64-9999
[ebuild  N    ] xfce-base/xfce4-panel-4.12.2
[ebuild  N    ] xfce-base/xfce4-settings-4.12.3
[ebuild  N    ] xfce-base/xfwm4-4.12.4
[ebuild  N    ] xfce-base/xfce4-appfinder-4.12.0-r1
[ebuild  N    ] media-sound/alsa-tools-1.1.6
[ebuild  N    ] media-sound/ardour-5.12
[ebuild  N    ] media-sound/frescobaldi-3.0.0
[ebuild  N    ] xfce-extra/xfce4-alsa-plugin-0.1.1
[ebuild  N    ] dev-qt/qtcore-4.8.7-r4
[ebuild  N    ] dev-qt/qttranslations-4.8.7
[ebuild  N    ] dev-qt/qtscript-4.8.7
[ebuild  N    ] dev-qt/qtgui-4.8.7
[ebuild  N    ] dev-qt/qtsql-4.8.7-r1
[ebuild  N    ] dev-qt/qt3support-4.8.7
[ebuild  N    ] dev-qt/qtopengl-4.8.7
[ebuild  N    ] dev-qt/qtsvg-4.8.7
[ebuild  N    ] dev-qt/qtdbus-4.8.7
[ebuild  N    ] dev-python/PyQt4-4.12.1
[ebuild  N    ] media-libs/libprojectm-qt-2.1.0-r1
[ebuild  N    ] media-sound/carla-9999
[ebuild  N    ] sys-auth/polkit-0.113-r4
[ebuild  N    ] gnome-extra/polkit-gnome-0.105-r1
[ebuild  N    ] sys-auth/consolekit-1.2.0
[ebuild  N    ] net-misc/modemmanager-1.6.12
[ebuild  N    ] xfce-base/xfce4-session-4.12.1-r1
[ebuild  N    ] gnome-base/gvfs-1.32.2
[ebuild  N    ] sys-fs/udisks-2.7.4-r1
[ebuild  N    ] net-misc/networkmanager-1.8.4
[ebuild  N    ] xfce-base/thunar-1.6.14
[ebuild  N    ] app-emulation/wine-any-3.10
[ebuild  N    ] xfce-base/xfdesktop-4.12.4
[ebuild  N    ] media-plugins/dssi-vst-0.9.2
[ebuild  N    ] xfce-base/xfce4-meta-4.12-r1
[ebuild  N    ] x11-libs/libnotify-0.7.7
[ebuild  N    ] x11-misc/notification-daemon-3.14.1
[ebuild  N    ] virtual/notification-daemon-0
[ebuild  N    ] gnome-extra/nm-applet-1.8.10-r1
[ebuild  N    ] xfce-extra/xfce4-power-manager-1.6.1
[ebuild  N    ] media-sound/audacious-3.9
[ebuild  N    ] media-plugins/audacious-plugins-3.9-r1
[ebuild  N    ] x11-misc/lightdm-1.18.3-r1
[ebuild  N    ] x11-misc/lightdm-gtk-greeter-2.0.1-r1

_________________
Gentoo Studio: A Gentoo-based, professional digital audio workstation OS.
Back to top
View user's profile Send private message
krinn
Watchman
Watchman


Joined: 02 May 2003
Posts: 6849

PostPosted: Fri Jun 22, 2018 9:51 pm    Post subject: Reply with quote

audiodef wrote:
If something in this list is demanding the latest ~arch version of scons, how do I find out without taking two weeks off to manually dig through it?

the lazzy krinn answer then ; install them all, let scons be install, once done you could qdepends -Q scons and find who use it :D
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 6271
Location: /usr/lib64/lv2

PostPosted: Fri Jun 22, 2018 10:12 pm    Post subject: Reply with quote

Hm, yeah, I could put that list in the world file on a test VM and do that. Thanks for the idea.
_________________
Gentoo Studio: A Gentoo-based, professional digital audio workstation OS.
Back to top
View user's profile Send private message
krinn
Watchman
Watchman


Joined: 02 May 2003
Posts: 6849

PostPosted: Fri Jun 22, 2018 11:24 pm    Post subject: Reply with quote

Code:
emerge -pv (well the command you use to get all these package shown) | awk -F ']' '{print $2}' | awk -F ' ' '{print $1}' > /tmp/mylist
Back to top
View user's profile Send private message
khayyam
Watchman
Watchman


Joined: 07 Jun 2012
Posts: 6229
Location: Room 101

PostPosted: Sat Jun 23, 2018 8:07 am    Post subject: Reply with quote

krinn wrote:
Code:
emerge -pv (well the command you use to get all these package shown) | awk -F ']' '{print $2}' | awk -F ' ' '{print $1}' > /tmp/mylist

krinn ... I think we know what to expect from the output of emerge:

Code:
% emerge -pvq virtual/dev-manager | awk '/.*\/.*-[0-9].*/{print $4}'
virtual/dev-manager-0-r1

best ... khay
Back to top
View user's profile Send private message
sebB
l33t
l33t


Joined: 02 Mar 2011
Posts: 724
Location: S.O. France

PostPosted: Sat Jun 23, 2018 9:35 am    Post subject: Reply with quote

What I don't understand is, why libffado is marked as stable on your system?
On my amd64 stable I have

eix libffado
Code:
* media-libs/libffado
     Available versions:  ~2.4.0

emerge -pv libffado
Code:
[ebuild  N     ] sys-libs/libraw1394-2.1.0-r1::gentoo  USE="-static-libs" ABI_X86="(64) -32 (-x32)" 285 KiB
[ebuild  N    ~] dev-util/scons-3.0.1-r100::gentoo  USE="-doc {-test}" PYTHON_TARGETS="python2_7 python3_6 -python3_4 -python3_5" 620 KiB
[ebuild  N     ] dev-libs/libconfig-1.5::gentoo  USE="cxx -examples -static-libs" ABI_X86="(64) -32 (-x32)" 630 KiB
[ebuild  N    ~] dev-libs/dbus-c++-0.9.0-r3::gentoo  USE="-doc -ecore -glib -static-libs {-test}" ABI_X86="(64) -32 (-x32)" 456 KiB
[ebuild  N     ] media-libs/libiec61883-1.2.0-r1::gentoo  USE="-examples -static-libs" ABI_X86="(64) -32 (-x32)" 229 KiB
[ebuild  N     ] sys-libs/libavc1394-0.5.4-r1::gentoo  USE="-static-libs" ABI_X86="(64) -32 (-x32)" 334 KiB
[ebuild  N     ] dev-libs/libsigc++-2.10.0:2::gentoo  USE="-doc -static-libs {-test}" ABI_X86="(64) -32 (-x32)" 3 706 KiB
[ebuild  N     ] dev-cpp/glibmm-2.52.1:2::gentoo  USE="-debug -doc {-test}" ABI_X86="(64) -32 (-x32)" 6 300 KiB
[ebuild  N     ] dev-cpp/libxmlpp-2.40.1:2.6::gentoo  USE="-doc" ABI_X86="(64) -32 (-x32)" 933 KiB
[ebuild   R    ] dev-python/PyQt5-5.9.2::gentoo  USE="dbus gui network opengl printsupport svg webkit widgets -bluetooth -debug -declarative -designer -examples (-gles2) -help -location -multimedia -positioning -sensors -serialport -sql -testlib -webchannel -webengine -websockets -x11extras -xmlpatterns" PYTHON_TARGETS="python2_7 python3_6* -python3_4 -python3_5*" 0 KiB
[ebuild  N    ~] media-libs/libffado-2.4.0::gentoo  USE="qt5 -debug -test-programs" ABI_X86="(64) -32 (-x32)" PYTHON_SINGLE_TARGET="python3_6 -python2_7 -python3_4 -python3_5" PYTHON_TARGETS="python2_7 python3_6 -python3_4 -python3_5" 1 201 KiB

Total: 11 packages (10 new, 1 reinstall), Size of downloads: 14 690 KiB

The following keyword changes are necessary to proceed:
 (see "package.accept_keywords" in the portage(5) man page for more details)
# required by media-libs/libffado-2.4.0::gentoo
# required by libffado (argument)
=dev-libs/dbus-c++-0.9.0-r3 ~amd64
# required by libffado (argument)
=media-libs/libffado-2.4.0 ~amd64
# required by media-libs/libffado-2.4.0::gentoo
# required by libffado (argument)
=dev-util/scons-3.0.1-r100 ~amd64


libfaddo ~ need scons ~
Back to top
View user's profile Send private message
muddle
n00b
n00b


Joined: 01 May 2007
Posts: 20

PostPosted: Sat Jun 23, 2018 9:45 am    Post subject: Reply with quote

Hi,

did you find a solution to this problem?
I have exactly the same issue.
Back to top
View user's profile Send private message
krinn
Watchman
Watchman


Joined: 02 May 2003
Posts: 6849

PostPosted: Sat Jun 23, 2018 10:22 am    Post subject: Reply with quote

khayyam wrote:
krinn ... I think we know what to expect from the output of emerge:

better yes :)
Back to top
View user's profile Send private message
muddle
n00b
n00b


Joined: 01 May 2007
Posts: 20

PostPosted: Sat Jun 23, 2018 11:33 am    Post subject: Reply with quote

If you use python 3.6, libffado will depend on =dev-util/scons-3.0.1-r100 ~amd64

I found a workaround for now:
create a file: /etc/portage/package.use/libffado

Code:

#> cat /etc/portage/package.use/libffado
media-libs/libffado python_single_target_python2_7 -python_single_target_python3_6 -python_targets_python3_6


Afterwards it is possible to emerge libffado which depends then on scons-2.5.1.
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 6271
Location: /usr/lib64/lv2

PostPosted: Sat Jun 23, 2018 1:11 pm    Post subject: Reply with quote

I'll try that first. Thanks, krinn and khay.

sebB, it's not stable on my system. It still has to go in accept_keywords. Yes, it needs scons but it does not need ~arch scons, which is buggy.
_________________
Gentoo Studio: A Gentoo-based, professional digital audio workstation OS.
Back to top
View user's profile Send private message
sebB
l33t
l33t


Joined: 02 Mar 2011
Posts: 724
Location: S.O. France

PostPosted: Sat Jun 23, 2018 3:26 pm    Post subject: Reply with quote

Ok, so the problem is python3.
dev-util/scons-3.0.1-r100 introduce python3 target.

If python3 is enabled, for libffado, it pull scons unstable

try this in your package.use
Code:
media-libs/libffado python_single_target_python2_7 -python_targets_python3_6 -python_single_target_python3_6
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 6271
Location: /usr/lib64/lv2

PostPosted: Mon Jun 25, 2018 1:39 pm    Post subject: Reply with quote

Thanks, sebB. Hu mentioned something along these lines. I'm going to try your suggestion.

This worked, and prevented scons-3 from being called in. I added python 3_4 and 3_5 to this line to make it work.

It seems I inadvertently created two posts on the same topic without realizing it. Moderators, feel free to merge. I don't care which one is merged into which.

The other topic: https://forums.gentoo.org/viewtopic-t-1082914-highlight-.html

[Moderator note: Done. -Hu]
_________________
Gentoo Studio: A Gentoo-based, professional digital audio workstation OS.
Back to top
View user's profile Send private message
audiodef
Watchman
Watchman


Joined: 06 Jul 2005
Posts: 6271
Location: /usr/lib64/lv2

PostPosted: Mon Jun 25, 2018 11:14 pm    Post subject: Reply with quote

This is exactly how I solved it, upon advice from sebB in another thread.
_________________
Gentoo Studio: A Gentoo-based, professional digital audio workstation OS.
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Portage & Programming All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum